:root{
    --primary-gold: #D8B267;
    --primary-blue: #005BAA;

    --dark: #111111;
    --black: #000000;
    --white: #FFFFFF;

    --text-dark: #2B2B2B;
    --text-light: #F8F8F8;

    --overlay-dark: rgba(0,0,0,0.65);
    --overlay-soft: rgba(0,0,0,0.45);

    --transition: all .3s ease;
}

body{
    font-family: 'Poppins', sans-serif;
  background: linear-gradient(135deg, #42136a, #2b0b47) !important;
}

.hero-section{
    position: relative;
    min-height: 100vh;
    overflow: hidden;
}

.hero-video{
    position: absolute;
    top:0;
    left:0;
    width:100%;
    height:100%;
    object-fit:cover;
    z-index:1;
}

.hero-overlay{
    position:absolute;
    inset:0;
    z-index:2;

    background:linear-gradient(
        to top,
        rgba(0,0,0,0.85) 0%,
        rgba(0,0,0,0.65) 20%,
        rgba(0,0,0,0.35) 45%,
        rgba(0,0,0,0.10) 70%,
        transparent 100%
    );
}
.hero-content{
    position:relative;
    z-index:3;
    color:white;
}

.hero-tag{
    display:inline-block;
    background:var(--primary-gold);
    color:var(--black);
    padding:10px 20px;
    border-radius:30px;
    font-weight:600;
    margin-bottom:20px;
}

.hero-title{
    font-family:'Playfair Display', serif;
    font-size:4rem;
    font-weight:800;
    line-height:1.15;
    margin-bottom:20px;
}

.hero-title span{
    color:var(--primary-gold);
}

.hero-text{
    font-size:1.1rem;
    max-width:650px;
    margin-bottom:30px;
    color:#f1f1f1;
}

.btn-gold{
    background:var(--primary-gold);
    color:#000;
    font-weight:600;
    padding:14px 32px;
    border:none;
    transition:var(--transition);
}

.btn-gold:hover{
    background:#c8a052;
    color:#000;
    transform:translateY(-3px);
}

@media(max-width:768px){

    .hero-title{
        font-size:2.5rem;
    }

    .hero-text{
        font-size:1rem;
    }

}

.custom-navbar{
    background: rgba(223, 218, 218, 0.804);
    backdrop-filter: blur(18px);
    -webkit-backdrop-filter: blur(18px);

    padding: 12px 0;
    transition: .4s ease;
    box-shadow: 0 2px 8px rgba(0,0,0,.08);
}

.custom-navbar.scrolled{
    background: rgba(255,255,255,.95);
}

.navbar-brand img{
    height:40px;
}

.nav-link{
    color:#111 !important;
    font-weight:500;
    margin:0 10px;
    transition:.3s;
}

.nav-link:hover{
    color:var(--primary-gold) !important;
}

.nav-link.active{
    color:var(--primary-gold) !important;
    font-weight:600;
    border-bottom:3px solid var(--primary-gold);
}

.btn-book{
    background:var(--primary-gold);
    color:#000;
    padding:12px 28px;
    border-radius:40px;
    font-weight:600;
}

.btn-book:hover{
    background:#fff;
    color:#000;
}
.dropdown-hover{
    position:relative;
}

.dropdown-hover:hover .dropdown-menu{
    display:block;
    margin-top:0;
}

.custom-dropdown{
    display:none;
    min-width:250px;

    background:rgba(255,255,255,.95);
    backdrop-filter:blur(20px);

    border:1px solid rgba(0,0,0,.1);
    border-radius:15px;
    padding:10px;
}

.custom-dropdown .dropdown-item{
    color:#111;
    border-radius:10px;
    padding:12px 15px;
}

.custom-dropdown .dropdown-item:hover{
    background:var(--primary-gold);
    color:#000;
}

.custom-dropdown .dropdown-item.active{
    background:var(--primary-gold);
    color:#000;
    font-weight:600;
}
.order-strip{
    position:fixed;
    top:58px;
    left:0;
    width:100%;
    z-index:999;

    background:var(--primary-gold);
    color:#111;
    overflow:hidden;
    padding:10px 0;
}

.marquee{
    white-space:nowrap;
    display:inline-block;
    animation: scrollText 20s linear infinite;
    font-weight:500;
}

@keyframes scrollText{

    0%{
        transform:translateX(100%);
    }

    100%{
        transform:translateX(-100%);
    }

}



.section-tag{
    display:inline-block;
    padding:8px 18px;
    border-radius:50px;
    font-family:'Playfair Display', serif;

    color:var(--primary-blue);

    font-weight:600;
    letter-spacing:2px;

    margin-bottom:20px;
}

.section-title{
    font-size:4rem;
    font-weight:800;
        font-family:'Playfair Display', serif;

    color:#2B0B47;
    line-height:1.1;
}

.section-title span{
    color:var(--primary-gold);
}

.section-description{
    color:rgba(0,0,0,.7);
    line-height:2;
}

body
{
      background:
        radial-gradient(circle at top left,
        rgba(216,178,103,.08),
        transparent 30%),

        radial-gradient(circle at bottom right,
        rgba(0,91,170,.08),
        transparent 30%),

        #f5f3f0 !important;
}
@media(max-width:768px){
    .section-title{
    font-size:22px;
   
}

}